- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# IO_ModularEmitter.cpp File Reference

`#include <osgParticle/ModularEmitter>`
`#include <osgParticle/Counter>`
`#include <osgParticle/Placer>`
`#include <osgParticle/Shooter>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_ModularEmitter.cpp:

## Functions
bool | ModularEmitter_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | ModularEmitter_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
## Variables
osgDB::RegisterDotOsgWrapperProxy | ModularEmitter_Proxy (new osgParticle::ModularEmitter,"ModularEmitter","Object Node ParticleProcessor Emitter ModularEmitter", ModularEmitter_readLocalData, ModularEmitter_writeLocalData)

## Function Documentation

bool ModularEmitter_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool ModularEmitter_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy ModularEmitter_Proxy(new osgParticle::ModularEmitter,"ModularEmitter","Object Node ParticleProcessor Emitter ModularEmitter", ModularEmitter_readLocalData, ModularEmitter_writeLocalData)